Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457495 - condor_submit -dump segfaults with multiple jobs in cluster
Summary: condor_submit -dump segfaults with multiple jobs in cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: 1.2
: ---
Assignee: Robert Rati
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 527551
TreeView+ depends on / blocked
 
Reported: 2008-08-01 01:39 UTC by Matthew Farrellee
Modified: 2009-12-03 09:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid bug fix C: Multiple jobs in cluster and a request to dump job ad to file C: condor_submit -dump segfaults F: Multiple jobs dumped to output file R: No longer segfaults When there were multiple jobs in a cluster, a request to dump a job ad to a file with condor_submit -dump would create a segfault. This was corrected and the segfault no longer occurs.
Clone Of:
Environment:
Last Closed: 2009-12-03 09:19:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1633 0 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.2 2009-12-03 09:15:33 UTC

Description Matthew Farrellee 2008-08-01 01:39:01 UTC
$ condor_version 
$CondorVersion: 7.0.4 Jul 30 2008 BuildID: RH-7.0.4-2.el4 $
$CondorPlatform: I386-LINUX_RH_UNKNOWN $


$ cat test1.job 
universe = vanilla
executable = /bin/sleep
queue 2

$ condor_submit -dump /dev/null test1.job 
Storing job ClassAd(s).ERROR "Assertion ERROR on (job->LookupString
(ATTR_JOB_CMD, buff))" at line 1974 in file submit.C
Segmentation fault


$ cat test2.job 
universe = vanilla
executable = /bin/sleep
queue
queue

$ condor_submit -dump /dev/null test2.job 
Storing job ClassAd(s).ERROR "Assertion ERROR on (job->LookupString
(ATTR_JOB_CMD, buff))" at line 1974 in file submit.C
Segmentation fault

Comment 1 Robert Rati 2009-09-25 19:36:22 UTC
Fixed in:
condor-7.4.0-0.6

Comment 3 Irina Boverman 2009-10-29 14:29:30 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.

Comment 4 Lana Brindley 2009-11-04 02:35:31 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
+Grid bug fix
+
 please see bug summary.

Comment 5 Lana Brindley 2009-11-04 03:17:20 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1,8 @@
 Grid bug fix
 
-please see bug summary.+C: multiple jobs in cluster
+C: condor_submit -dump segfaults
+F:
+R:
+
+MORE INFORMATION REQUIRED TO COMPLETE RELNOTE

Comment 6 Matthew Farrellee 2009-11-04 03:34:39 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,8 +1,8 @@
 Grid bug fix
 
-C: multiple jobs in cluster
+C: Multiple jobs in cluster and a request to dump job ad to file
 C: condor_submit -dump segfaults
-F:
-R:
+F: Multiple jobs dumped to output file
+R: No longer segfaults
 
 MORE INFORMATION REQUIRED TO COMPLETE RELNOTE

Comment 7 Lana Brindley 2009-11-05 01:34:41 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -5,4 +5,4 @@
 F: Multiple jobs dumped to output file
 R: No longer segfaults
 
-MORE INFORMATION REQUIRED TO COMPLETE RELNOTE+When there were multiple jobs in a cluster, a request to dump a job ad to a file with condor_submit -dump would create a segfault. This was corrected and the segfault no longer occurs.

Comment 8 Martin Kudlej 2009-11-11 09:09:11 UTC
Tested on RHEL 4.8 i386 and RHEL 5.4 x86_64 with condor-7.2.2-0.9 and it doesn't work.
Tested on RHEL 4.8 i386 and RHEL 5.4 x86_64 with condor-7.4.1-0.5 and it works. -->VERIFIED

Comment 10 errata-xmlrpc 2009-12-03 09:19:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html


Note You need to log in before you can comment on or make changes to this bug.